---
title: Get Selfie
description: Récupérez le selfie capturé lors d'un processus Human Token — disponible pendant 24 heures après la fin du processus.
canonical: https://developer.unico.io/fr/human-token/api-reference/get-selfie
locale: fr
generated_by: markdown-export
---

- [/fr/](/fr/)
- Référence API
- Get Selfie

**Sur cette pageGet SelfieGETRécupérez le selfie capturé lors d'un processus Human Token.

Renvoie le selfie biométrique capturé par l'utilisateur lors d'un processus Human Token. L'image est renvoyée sous forme de chaîne encodée en base64.
Disponible pour tout processus terminé ayant effectué une capture biométrique — les cinq flux Human Token (`api+humantoken`, `api+liveness+humantoken`, `api+liveness+humantoken+revalidation`, `humantoken`, `humantoken+revalidation`). Non disponible lorsque le processus s'est terminé sans capture biométrique, car il n'y a pas de selfie à renvoyer.
avertissementLe selfie est disponible pendant **24 heures** après la fin du processus. Après cela, l'image est définitivement supprimée et ce endpoint renvoie `404`.
### Endpoint​

EnvironnementURL**Production**`GET https://humantoken.unico.app/client/v1/process/{processId}/selfie`
### Requête​

En-têtes
En-têteValeur`x-unico-accesskey``<your_access_key>` (voir [Authentification](/fr/human-token/get-started/authentication))
Paramètres de chemin
ParamètreTypeRequisDescription`processId`string (UUID)ouiIdentifiant du processus renvoyé par [Créer un processus](/fr/human-token/api-reference/post-processes).
### Exemple​

cURLNode.js```
curl -X GET https://humantoken.unico.app/client/v1/process/$PROCESS_ID/selfie \  -H "x-unico-accesskey: $UNICO_ACCESS_KEY"
```

```
import fetch from 'node-fetch';const res = await fetch(  `https://humantoken.unico.app/client/v1/process/${processId}/selfie`,  { headers: { 'x-unico-accesskey': process.env.UNICO_ACCESS_KEY } });const { fileContents, contentType } = await res.json();// fileContents is a base64-encoded image string
```

### Réponses​

200 OK
```
{  "fileContents": "/9j/4AAQSkZJR...",  "contentType": "image/jpeg"}
```

ChampTypeDescription`fileContents`string (base64)Le selfie capturé, encodé en base64.`contentType`stringType MIME de l'image — `image/jpeg` ou `image/png`.
### Codes d'erreur​

400 Bad Request401 Unauthorized403 Forbidden404 Not Found429 Too Many RequestsLe paramètre de chemin `processId` est manquant ou mal formé.Clé d'accès absente ou invalide dans l'en-tête `x-unico-accesskey`. Voir [Authentification](/fr/human-token/get-started/authentication).Permissions insuffisantes pour accéder au selfie de ce processus.Processus introuvable, le processus s'est terminé sans capture biométrique, ou la fenêtre de rétention de 24 heures a expiré.Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
**Best practices:**

**Cool-down period (backoff):** Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
**Queueing & throttling:** Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
**Exponential backoff with jitter:** When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.

avertissementContinuously hitting a rate-limited endpoint without backing off can **prolong the restriction period** and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see [Rate Limits](/fr/developers/start/rate-limits).
### Prochaines étapes​

Pour le résultat complet du processus, consultez [Récupérer un processus](/fr/human-token/api-reference/get-process).
Revenez à [Créer un processus](/fr/human-token/api-reference/post-processes) pour envoyer un nouveau selfie.
Dernière mise à jour le 22 oct. 2026**